--Access the data in cassandra

use PortfolioDemo;

--first calculate returns
CREATE TABLE IF NOT EXISTS 10dayreturns(ticker string, rdate string, return double)
STORED AS SEQUENCEFILE;

INSERT OVERWRITE TABLE 10dayreturns
select a.key ticker, b.column1 rdate, (b.value - a.value) ret
from StockHist a JOIN StockHist b on
(a.key = b.key AND date_add(a.column1,10) = b.column1);


--CALCULATE PORTFOLIO RETURNS
CREATE TABLE IF NOT EXISTS portfolio_returns(portfolio bigint, rdate string, preturn double)
STORED AS SEQUENCEFILE;


INSERT OVERWRITE TABLE portfolio_returns
select key portfolio, rdate, SUM(b.return)
from Portfolios a JOIN 10dayreturns b ON
    (a.column1 = b.ticker)
group by key, rdate;


INSERT INTO TABLE HistLoss
select cast(portfolio as string), "loss", cast(MIN(preturn) as string)
  FROM portfolio_returns
  group by portfolio;

INSERT INTO TABLE HistLoss
select cast(a.portfolio as string), "worst_date", rdate
FROM (
  select portfolio, MIN(preturn) as minp
  FROM portfolio_returns
  group by portfolio
) a JOIN portfolio_returns b ON (a.portfolio = b.portfolio and a.minp = b.preturn);
