/*
 * Copyright DataStax, Inc.
 *
 * Please see the included license file for details.
 */

package com.datastax

import _root_.spark.jobserver._
import com.typesafe.config.Config
import org.apache.spark.sql.SQLContext

case class DemoDatasetElement(n: Int, value: String)

object DemoSparkSqlJob extends SparkSqlJob {

  override def runJob(sc: SQLContext, jobConfig: Config) = {
    import sc.implicits._
    sc.createDataset(1 to 10)
      .map(i => DemoDatasetElement(i, i.toString))
      .collect()
  }

  override def validate(sc: SQLContext, config: Config) = {
    SparkJobValid
  }

}
