-- Auto create schema for Cassandra tables

USE weathercql;

SHOW tables;

-- Create external tables from csv files

CREATE DATABASE IF NOT EXISTS weatherdfs;

USE weatherdfs;

CREATE EXTERNAL TABLE IF NOT EXISTS station (
    stationid string,
    location string)
ROW FORMAT DELIMITED
    FIELDS TERMINATED BY ','
    LINES TERMINATED BY '\n'
STORED AS TEXTFILE
LOCATION '/datastax/demos/weather_sensors/byos-station/';

CREATE EXTERNAL TABLE IF NOT EXISTS daily (
    stationid string,
    metric string,
    date timestamp,
    location string,
    max int,
    mean int,
    median int,
    min int,
    percentile1 int,
    percentile5 int,
    percentile95 int,
    percentile99 int,
    total int)
ROW FORMAT DELIMITED
    FIELDS TERMINATED BY ','
    LINES TERMINATED BY '\n'
STORED AS TEXTFILE
LOCATION '/datastax/demos/weather_sensors/byos-daily/';

CREATE EXTERNAL TABLE IF NOT EXISTS monthly (
    stationid string,
    metric string,
    date timestamp,
    location string,
    max int,
    mean int,
    median int,
    min int,
    percentile1 int,
    percentile5 int,
    percentile95 int,
    percentile99 int,
    total int)
ROW FORMAT DELIMITED
    FIELDS TERMINATED BY ','
    LINES TERMINATED BY '\n'
STORED AS TEXTFILE
LOCATION '/datastax/demos/weather_sensors/byos-monthly/';
